import { IAssignable } from './iassignable';
import { IInstantiator } from './iinstantiator';
export declare class ResultSet<T extends IAssignable> {
    private instantiator;
    currentPage: number;
    pageSize: number;
    hasNextResults: boolean;
    hasPreviousResults: boolean;
    totalRecordsCount: number;
    records: Array<T>;
    numPages: number;
    constructor(instantiator: IInstantiator<T>);
    assign(obj: any): void;
}
