export declare class ArrayTools {
    static filter(array: Object[], criteria: (item) => boolean): Object[];
    static filterGeneric<T>(array: Array<T>, criteria: (item: T) => boolean): Array<T>;
    static delete(item: Object, array: Object[]): void;
    static add(item: Object, array: Object[]): void;
    static clear(array: Object[]): void;
    static insertAfter(index: number, item: Object, array: Object[]): void;
    static insertBefore(index: number, item: Object, array: Object[]): void;
    static anyOfFirstIsInSecond(firstArray: Object[], secondArray: Object[]): boolean;
    static allOfFirstIsInSecond(firstArray: Object[], secondArray: Object[]): boolean;
    static canMoveUp(item: Object, array: Object[]): boolean;
    static canMoveDown(item: Object, array: Object[]): boolean;
    static moveUp(item: Object, array: Object[]): void;
    static moveDown(item: Object, array: Object[]): void;
}
